Retrieve the latest version of schema by `schema_Id`.

Retrieve the latest schema by the given id, if the given id has multiple versions, only the latest version will be returned.

Key Features:

  • Returns the custom schema specified by the schema ID with schema details
  • Support including space names that the schema is distributed to in the response with the include query parameter. Note: The space names will be included in the response under the schema item.
  • This endpoint will only return the latest version of the schema, if you want to retrieve a specific version of the schema, please use GET /css/v1/schemas/{id}/versions/{version} endpoint.

Authorization Logic:

  1. User must have a valid tenant-level JWT token
  2. Token must have viewing scope for custom schema

Usage Example:
Retrieve the custom schema and check the details.

Permissions Required:
Requires: seismic.custom_schema.view

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

(Required) The schema id, which identifies a schema across all versions. Note: This is not the version id, which identifies a specific version of the schema.

Query Params
string

Optional parameter to include additional information in the response. Note: Now it only supports including space names that the schema is distributed to. The space names will be included in the response under the schema item.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json